What Devices Can I Use The App On?

You are here:
← All Topics

The app is compatible with the most popular Android and iOS devices, both phones and tablets. Devices need Internet connectivity (either via WiFi or mobile data) in order for the app to run properly. However the app will still work if the device does not have connectivity for some periods of time.

Android compatibility

Any device running Android version 5.1 or higher will support the app

iOS compatibility

Any device running iOS 11.0 or higher will support the app. The app is compatible with iPhone, iPad and iPod touch.

Login